<div class="uk-modal-header">
  Create new contact
</div>
<!-- Form to create contact starts  -->
<form [formGroup]="profileForm" (ngSubmit)="onSubmit()">
  <div class="uk-modal-body {{morefields}}">
    <div class="uk-form-controls uk-text-center">

      <!-- Personal Details Start-->
      <div uk-grid>
        <div class="js-upload uk-width-auto" uk-form-custom>
          <input type="file" multiple formControlName="profilePhoto">
        </div>

        <div class="uk-width-expand">
          <div class="uk-grid-small" [ngClass]="{'uk-child-width-1-1': showMore, 'uk-child-width-1-2': !showMore }"
            uk-grid>
            <div>
              <div class="gc-input-holder">
                <input class="uk-input" type="text" formControlName="firstName" placeholder="First Name" required>
                <a href="javascript:void(0);" class="ti-close"></a>
              </div>
            </div>
            <div [ngClass]="{'moreFields': showMore, 'moreFields': !showMore }" class="gc-input-holder">
              <input class="uk-input" type="text" formControlName="middleName" placeholder="Middle Name">
              <a href="javascript:void(0);" class="ti-close"></a>
            </div>
            <div>
              <div class="gc-input-holder">
                <input class="uk-input" type="text" formControlName="lastName" placeholder="Last Name">
                <a href="javascript:void(0);" class="ti-close"></a>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- Personal Details Ends-->


      <!-- Company Details Starts-->
      <div uk-grid>
        <div class="uk-width-auto gc-icon-modal">
          <span class="ti-layout-cta-left"></span>
        </div>
        <div class="uk-width-expand">
          <div class="uk-grid-small" uk-grid>
            <div class="uk-width-1-2">
              <input class="uk-input" type="text" formControlName="company" placeholder="Company">
            </div>
            <div class="uk-width-1-2">
              <div class="uk-grid-small" uk-grid>
                <div class="uk-width-expand">
                  <input class="uk-input" type="text" formControlName="job" placeholder="Job Title">
                </div>
                <div class="uk-width-auto">
                  <span class="ti-close"></span>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <!-- Company Details Ends-->

      <!-- Email Id Block Start -->
      <div uk-grid>
        <div class="uk-width-auto gc-icon-modal">
          <span class="ti-email"></span>
        </div>
        <div class="gc-input-holder uk-width-expand" formArrayName="emailId">
          <span *ngFor="let email of emailId.controls; let i=index">
            <div uk-grid class="uk-grid-small" [formGroupName]='i'>
              <div class="uk-width-expand">
                <input class="uk-input" [ngClass]="{'uk-form-danger': emailId.controls[i].controls.email.invalid}"
                  type="email" formControlName="email" placeholder="Email">
              </div>
              <div *ngIf="email.controls.email.value?.length > 0" class="uk-width-auto">
                <input class="uk-input" type="text" formControlName="elabel" placeholder="Label">
              </div>
            </div>
          </span>
          <div *ngIf="emailId.controls[0].controls.email.value?.length > 0">
            <a (click)="addEmail()"> <span class="ti-plus"></span></a>
          </div>
        </div>
      </div>

      <!-- Email Id Block End -->

      <div uk-grid>
        <div class="uk-width-auto">
          <span class="ti-mobile"></span>
        </div>
        <div class="gc-input-holder uk-width-expand" formArrayName="phone">
          <span *ngFor="let phoneno of phone.controls; let i=index">
            <div uk-grid class="uk-grid-small" [formGroupName]='i'>
              <div class="uk-width-auto gc-select">
                <select class="uk-select" formControlName="code">
                  <option value="+91">+91</option>
                  <option value="+1">+1</option>
                  <option value="+32">+32</option>
                </select>
              </div>
              <div class="uk-width-expand">
                <input class="uk-input" type="text" formControlName="phoneNo" placeholder="Phone" pattern="[0-9]+">
              </div>
              <div *ngIf="phoneno.controls.phoneNo.value?.length > 0" class="uk-width-auto">
                <div class="uk-width-auto gc-select">
                  <select class="uk-select" formControlName="label" >
                    <option *ngFor="let l of displaylabel" value="{{l.name}}">{{l.name}}</option>
                  </select>
                </div>
              </div>
            </div>
          </span>
          <div *ngIf="phone.controls[0].controls.phoneNo.value?.length > 0">
            <a (click)="addPhone()"> <span class="ti-plus"></span></a>
          </div>
        </div>
      </div>
      <div uk-grid>
        <div class="uk-width-auto  gc-icon-modal">
          <span class="ti-notepad"></span>
        </div>
        <div class="uk-width-expand">
          <textarea class="uk-textarea" rows="1"  formControlName="notes" placeholder="Notes"></textarea>
        </div>
      </div>
    </div>
  </div>

  <!-- Footer for Modal -->
  <div class="uk-modal-footer" uk-grid>
    <div class="uk-width-auto">
      <button class="uk-button uk-button-default morefield" type="button"
        (click)="moreFields()">{{showMore ? "Less" : "More"}} Fields</button>
    </div>
    <div class="uk-width-expand uk-text-right">
      <button class="uk-button uk-button-default" (click)="onClose()" type="button">Cancel</button>
      <button class="uk-button uk-button-default" type="submit" [disabled]="!profileForm.valid">Save</button>
    </div>
  </div>
</form>

<!-- Form to create contact ends -->

